Basics

  • What Is Handy Backup?

  • Why Do I Need Handy Backup?

  • System Requirements and Installation

  • Managing Data with Handy Backup

  • Basic Actions

  • FAQ


What Is Handy Backup?

About Handy Backup

Handy Backup is a powerful tool that protects your data from irreparable loss or damage. It will backup your files at any convenient time, restore files from a backup copy or synchronize them between different locations. All these operations are performed in the background. You only need to setup the program once, and it will execute scheduled backups, restores and synchronizations at the time needed.

Handy Backup works with files organized in items. You can set a number of parameters for an item: operation type (backup, restore or synchronize), source and destination locations of files and folders, special options (compression, encryption), scheduling, etc.

Handy Backup operates under Windows 95/98/Me or Windows NT 4.0/2000/XP/2003, and requires approximately 2MB of free disk space.

What's new in Handy Backup 4.0

  • Improved Outlook plugin to backup additional data;

  • Restore to a folder different from the original one;

  • Option to create password-protected ZIP archives;

  • Support for SMTP servers requiring authorization;

  • Ability to choose priority for the background backup process;

  • Option to wait N minutes after logon before processing backups;

  • Choice between more and less detailed log view;

  • Option to archive old log files;

  • Quick erase option when storing data on CD-RW disks;

  • Show storage type info in Items View;

  • CRC verification when writing on CD.

Main features of Handy Backup

  • Support for different types of backup storage including FTP, removable media and all types of LANS;

  • Full CD-RW support with disc spanning enabling user to divide a large backup set into parts saved onto several discs;

  • Speed selection for CD-RW burning;

  • Integrated ZIP compression;

  • 128 bit encryption support for stored data;

  • Flexible and powerful scheduler;

  • Multi-threaded transfer engine that executes backups in the background with minimum system resource consumption;

  • Backup of several folders or files at a time;

  • Activity log in RTF format for each backup item;

  • Option to run backup on log on/log off;

  • Options to set any other program to run before/after running a backup item;

  • Flexible file selection and file masks handling;

  • Special plugins to backup your Outlook, ICQ and registry data (installed separately);

  • MD4/MD5 password support for FTP backups;

  • E-mail notification about operation results;

  • Import/export of all settings and registration status;

  • Windows XP compatible user interface;

  • Command line interface for professional users.

Learn more about Handy Backup

  • To get more information about specific topics, browse Contents on the Help menu.

  • Contact our Technical Support team with questions concerning Handy Backup usage: support@handybackup.com.

  • For information on product updates, visit Handy Backup web site: http://www.handybackup.com.

License Agreement

Handy Backup is copyrighted and licensed software, so please read carefully Handy Backup License Agreement.


Why Do I Need Handy Backup?

That is why thousands of people worldwide have chosen to use Handy Backup.

Handy Backup keeps your valuable data safe from irreparable loss or damage

According to statistics, dozens of gigabytes of data are being lost or damaged every single day. Accidents, virus attacks, power problems – there are thousands of possible reasons for loss or damage of vital information stored on your computer. In order to be protected from unexpected loss of important data people backup their files. However, if you have a single computer with only one hard disk, making backup to the same disk does not provide required safety - in case of disk crash all data will be lost including backup copies. Handy Backup enables you to keep all your backup copies on another computer, your local (LAN) network or a remote FTP server. You can also backup to your CD-RW device.

With Handy Backup you do not need to worry about performing manual backups

Handy Backup has a powerful and flexible scheduler to perform backups and restorations automatically, at the time specified by you. Once you’ve performed an initial setup, Handy Backup will do all the rest for you.

Many office environments require you to copy files to a network server or a network storage so that the files will get backed up. Many people forget to copy files from their local machine to a server or a network storage. Handy Backup can do this work for you automatically.

Handy Backup gives you peace of mind

Should it be a virus attack, corrupted file, a hard disk crash or any natural disaster – you’ll always have a backup copy of your important data, and hence, peace of mind.

You can also use Handy Backup for the following tasks:

  • Handy Backup allows you to copy files between work and home computers automatically, without necessity to use any storage media. You can modify files on your work computer and they will be synchronized automatically with the home computer.

  • Keep your laptop synchronized with the desktop. With Handy Backup you can copy files between your laptop or notebook computer and your desktop computer keeping all important files updated on both systems.

  • I f your data is located on a remote FTP server and you wish to keep the same data on your local machine, Handy Backup will create an identical copy of the data stored on the FTP. If data in one of these identical folders is changed, the program will make the folders identical any time you wish or automatically, at the selected time periods.

  • Handy Backup can also be used to copy files between servers to have synchronized information across the network.

  • If you periodically copy files from one computer to another, you know that if something goes wrong during the copying process you’ll have to start copying all over again. Using Handy Backup, once you set up source and destination locations, even if there is a problem, you won’t have to start copying from the beginning. Simply fix the problem and Handy Backup will copy only missed or changed files.

  • You can synchronize files on two computers, i.e. bring them to the same state. The newer version replaces the older one, and files missing on one machine will be added. Synchronization can work in one or both directions. This is useful e.g. between a notebook and a desktop PC or among network computers.


System Requirements and Installation

System Requirements

Handy Backup is not a resource-consuming utility. To use Handy Backup, you need:

  • Windows 95/98/Me or Windows NT 4.0/2000/XP/2003

  • Approximately 2MB of free disk space

Installation

To install Handy Backup on a computer, you need to have administrative rights. The installation process doesn't take much time. All you need to do is to follow the instructions of the Installation Wizard. There is no need to reboot, so you can run the program right after it is installed on your machine.

Uninstall

To uninstall Handy Backup, follow these steps:

  • Close the program window;

  • Right-click on Handy Backup agent;

  • Choose "Exit" (the agent disappears from the system tray);

  • On the Windows "Start" menu choose "Novosoft" and select "Handy Backup 4.0";

  • Click "Uninstall Handy Backup 4.0";

  • The window of Uninstall Wizard will appear, now follow the instructions of the Wizard.

You can also perform uninstall operation through "Settings" option on Windows "Start" menu. Select "Control panel", choose "Add/Remove programs", find Handy Backup 4.0 in the list of currently installed programs and click "Add/Remove" button.


Managing Data with Handy Backup

Item

To make Handy Backup operate with your data you need to create one or several items. Items are listed in the top view of the main program window. For each item you specify:

  • Item name;

  • Type of operation (backup, restore, synchronize);

  • Folders and files to process;

  • Backup / restore locations;

  • Compression, encryption and other options;

  • Scheduling - when and how often to backup your data;

  • Advanced options.

You can create new items, delete them and modify their properties as follows.

Create new item

You can easily create a new item with the help of Handy Backup "New Item Wizard". Click the "New Item" button [image] on the program toolbar to open the Wizard and follow its instructions.

Once an item is created, it will be displayed in the top view (Items View) of the program window. All files and folders included in a selected item will be displayed in the middle view (Files View) of the program window.

All files in a new item are shown with "Unknown" status. Click the "Refresh" button [image] to see their actual statuses.

Note: Once you’ve created a Backup item, the program will create a corresponding index file (backup.hbi or spanXXXX.hbi in case of backup on CD, where XXXX is a hexadecimal number of span) containing information about files included in this item. Index files are stored along with backup files. They are necessary to perform restoration and synchronization, so be careful with these files: it is not recommended to modify them manually. You can create a new Restore item by double-clicking an index file in Windows Explorer.

Modify item

You can view and modify item properties (such as its name, initial data set etc.) any time you wish. Select required item in the Items View and press the "Item properties" button [image] . The "Properties" dialog will appear. Choose a tab with item properties you wish to modify. For details, see Item Properties topic.

Delete item

If you want to delete an item, select it in the Items View and click the "Delete" button [image] on the program toolbar.

Note: If you delete an item, your files and folders will be deleted neither from their original location nor from their backup location.


Basic Actions

Handy Backup performs three types of operations - backup, restore and synchronization.

Backup

Backup is the most frequently used operation type. It is used for saving your important files into another storage location. If some files are corrupted or lost in the original folder, you can easily restore them from the backup copies. Handy Backup allows you to choose between two backup types:

  • full backup - the program copies all files to the destination folder.

  • incremental backup - the program copies only files that have been changed since previous backup; files are compared by date and time of the last change. The advantages of this backup type are quite obvious - less amount of data to operate with, less time is necessary to perform the backup operation.

You can select backup type when creating a new item (see Advanced Backup Settings) and it can be changed later, any time you wish, through "Advanced" tab in Backup Item Properties window.

Note that if you have created a new item and specified the Incremental backup option for it, then the first time you backup this item, the program will perform the full backup. The next times the program will perform incremental backups.

Restore

Restore is used for restoring files from a backup copy in case your original data is accidentally lost or corrupted. It can be also used to restore backed up data to a different location. Handy Backup can perform:

  • f ull restore - the program will restore all files during each restore operation;

  • i ncremental restore - the program restores only those files that have been changed since previous restore; files are compared by date and time of the last change.

You can select restore type when creating a new restore item (see Advanced Restore Settings) and it can be changed later, any time you wish, through "Advanced" tab in Restore Item Properties window.

The program allows you to select restore location for your files - they can be restored to their original folder or to any other folder, even to one located on another machine.

Sometimes it is necessary to restore only several files or a single file. Handy Backup allows you to perform this through program Files View. Highlight the required files, right-click to get the menu and choose "Restore" command.

Synchronize

You can use this type of operation to synchronize data between different locations (for example, your home and office machine). You can also synchronize data with a remote FTP server. Handy Backup performs 3 types of synchronization:

  • c opying from the first folder to the second - the program copies files/folders from the first folder to the second;

  • copying from the second folder to the first - the program copies files/folders from the second folder to the first;

  • mirroring both folders - the program makes contents of both folders identical.

You can select synchronization type when creating a new item (see Advanced Synchronizing Settings) and it can be changed later, any time you wish, through "Advanced" tab in Synchronize Item Properties window.


FAQ

Click on a question:

  • Can I backup different files or folders at a time?

Yes. You can backup as many files or folders as you need. For details, see Specify Backup Set .

  • Is it possible to backup an open file which is in use by another program?

Yes, it is possible if Handy Backup can gain read access to such file. Make sure that the option "Open files exclusively" in Item Properties/Advanced/File-specific settings is unchecked. Otherwise, the program will try to open the file for full access and since it is impossible will skip the file. Handy Backup does not backup files that not accessible for reading (particularly, system files like pagefile.sys, file opened without sharing permission, loaded modules (EXEs and DLLs), etc.).

  • What maximum amount of data can I backup?

If you use compression to multiple files, each individual compressed file should not exceed 2 GB. In case of compression into single archive, the whole archive should not exceed 2 GB. If you backup to CD-RW, there is no limitation on data size.

  • Can I select the root drive and then only choose some subfolders in it to backup?

Yes, you can do this. If you do not want the program to backup certain files / folders, just uncheck them in the list of files / folders to be backed up (for details, see Specify Backup Set).

  • Does the program backup to external hard disks connected via USB and to zip drives?

Yes, the program supports backup to USB and zip drives and works with them in the same way as with local drives.

  • I created backup of "My Documents" directory on one machine. How can I restore the directory to another machine using the program?

You need to create Restore item on the machine to which you want to restore your data. You should have access to the backup copy of your data from that machine. Specify the corresponding index file when asked.

  • Can the program do a full restore to a blank hard drive?

Yes, the program can do this. However, the program is not intended for backing up system files and you cannot use it for restoring the whole operation system.

  • If I uninstall version 3.x and install the trial 4.0 version, is it necessary to delete the backup file that 3.x created, and start over to create a totally new backup?

You do not need to do this: when you upgrade your version of the program, it will import all your old items.

  • If I create a new backup, what becomes of the backup file after the 30 days trial period? Do those files continue to be accessible via Windows Explorer?

You can access these files via Explorer provided they are not encrypted with Handy Backup. To decrypt such files you should use Handy Backup.

  • Does the program run only if the computer is connected to the Internet?

No. You don't need to be connected to the Internet, unless you want to keep your data on a distant FTP-server.

  • Does Handy Backup handle different time stamp conventions between NTFS and FAT?

Yes, this difference does not influence backup procedure.

  • Does Handy Backup support tape drives?

Currently Handy Backup 4.0 does not support tape drives.

  • Can Handy Backup run as a service on Windows NT/2000/XP/2003?

No, the program runs only as an application.

Have a question that is not answered here? Send an e-mail to: support@handybackup.com.


How To Operate with Data

Handy Backup works with data organized in items. To backup or restore your data, you need to create an item defining which files to operate with, where to transfer them and when to perform the next operation.

You can easily create a new item with the help of Handy Backup New Item Wizard: press the "New Item" button [image] on the program toolbar and follow the instructions of the Wizard.

At the first step you specify item name and its type.

Depending on a selected item type the Wizard will create:

  • Backup item

  • Restore item

  • Synchronize item


Backup Data

To backup some files or folders, you need to create a Backup item. Press the "New Item" button [image] on the program toolbar to initiate New Item Wizard. Choose name for the new item and select "Backup item" as its type.

Press "Next" button to continue.


Specify Backup Set

At this step you select files and folders you want to backup.

In one Backup item you can include as many files and folders as you need. You can exclude subfolders or files from Backup item. Also, you can specify types of files to be processed or ignored by the program.

Add Drives or Folders: Click the "Add" button and choose the "Folder" option. In the "Browse for folder" dialog select a drive or a folder. Repeat the selection procedure if you need to backup folders located on different hard drives or subfolders of different folders. The list of selected folders will be displayed in the upper box of the Wizard. To see contents of the selected folder, click the “plus” sign next to it (“plus” sign will convert into the “minus” sign).

Add Files: Click the "Add" button and choose the "Files" option. In the "Select a file or files" dialog select files and press the "Open" button. Repeat the procedure if you want to backup several files from different folders. The list of selected files will be displayed in the upper box.

Remove Folders or Files: Select a folder or a file in the upper box and click the "Remove" button. You can use this method only for root folders or files. For subfolders or non-root files you should use exclusion.

Exclude Subfolders or Files: If you do not want to backup some subfolders or files, remove checkmarks from them. Such subfolders or files will be displayed in the Files View with "Excluded" statuses.

Include or Exclude Files from the Files View Context Menu: You can also include or exclude selected files through context menu in the Files View. Right-click on a file and choose corresponding command from the menu.

Checkmarks: The black checkmarks near files or folders indicate that they are included in the backup set. Grey checkmark near a folder shows that some files or subfolders in the folder are excluded.

Include masks (the program will process only these files): Enter files types you wish to include in your item.

Exclude masks (the program will ignore these files): Enter files types you wish to exclude from your item.

Apply these masks to folders as well: The specified masks will be applied to folders as well as to files.

Note: If you specify several masks, you should separate them by commas or semicolons.

Plugins: Handy Backup allows you to use special plugins to backup ICQ, Outlook and Registry files. For details on how to use these plugins, see Plugins section.

Press "Next" button to continue.


Select Destination

At this step you select a destination folder where backup copies of your files will be stored. You can choose to backup to a local drive/LAN, an FTP server, or a CDRW device. Note that all external drives (for example, a USB drive) should be specified as local drives (by choosing "Local/LAN" option).

Note: If you backup several items into one destination directory, you will be able to restore only the last item: the matter is that each successive index file overwrites the previous index file.

Local/LAN

Press the "Browse for folder" button [image]. In "Browse for folder" dialog select a folder or create a new one.

Connect using a different user account: If a shared folder on LAN can be accessed only using an account different from yours, then you can click "different user account" and in the displayed dialog enter another username and password.

FTP

If you want to backup files remotely (on an FTP server), click the "FTP" radio button.

Host: Enter the name of FTP server.

Port: Enter the number of port. Its default value is 21.

User: Enter your FTP user name.

Password: Enter your FTP password.

Passive mode: In passive mode the connection is established by your computer. This may be necessary if firewalls do not allow establishing connection from outside.

Folder: To choose a remote directory where to backup your data, click the "Select FTP folder" button [image] . The "Select FTP folder" window appears.

Upon establishing an FTP connection the list of remote directories will appear in the upper window. Select a directory by left-clicking on it, then press "Select" button. If you want to create a new directory, press the "New folder" button. The lower view of the window shows the FTP session log messages.

Proxy...: Press this button to choose your proxy settings. Proxy server settings dialog will be displayed.

  • Use FTP proxy: Check if you use FTP proxy.

  • Use SOCKS server: Check if you use SOCKS server.

CD-R/CD-RW

If you want to backup onto CD(s), press the "CD-R/CD-RW" button.

Device: Choose your CD-R/CD-RW device.

Folder: Type the name of a folder where to backup your data. Note that the path to this folder should not contain any components ("component\component\...") with the names longer than 64 characters, as well as any of the following characters: * ? : ;.

Speed: Choose the necessary speed of recording to CDs.

Erase disc: Erases a CD-RW disc before writing new backups on it. Select the type of disc erase: full or quick.

Enable spanning (split large backups): Enables spanning, a procedure of saving backup parts onto several discs if your backup set requires more space than available on a single CD.

If your backup set contains large files with size exceeding free space available on a single disc, the program will split such files into several parts, and some parts of the files will be backed up on other discs. Their names will look like (XXXX)name, where XXXX is a hexadecimal number.

Perform CRC checking: Performs additional validity check after storing data on CD.

Note: You can use either blank (brand-new) CD-R/W disc, or you should erase discs if they were previously formatted with a 3rd party program like DirectCD.

Press "Next" button to continue.


Advanced Backup Settings

At this step you set a number of advanced backup settings.

Backup Type: Specify backup type.

  • Full backup: The program will backup all files on every backup operation.

  • Incremental backup: The program will backup only the files that have been changed since the last backup operation.

Note that if you have created a new item and specified the Incremental backup option for it, then the first time you backup this item, the program will perform the full backup. The next times the program will perform incremental backups.

Note that in case of backup onto CDs the program performs only full backup, so both options will be grayed out.

Delete all files from destination except being backed up (not applicable to single ZIP mode): Enables to delete all files from the destination folder except the files specified in the backup set.

Note: Please be careful with this option! Before checking it, make sure that your destination folder does not contain files you do not want to delete! For example, if you choose disk C:\ as your destination location, you may accidentally lose ALL data on this disk.

Store backups with timestamps: Check this option if you want the program to store every backup set in a separate folder, according to date/time of backup operation. On every backup the program will create a new subfolder in the destination folder marking it with a timestamp. To adjust timestamp format settings, press the "Timestamp format settings" button.

Timestamp format settings

Timestamp accuracy up to: Select timestamp accuracy which can be within a month, a day, an hour or a minute.

Timestamp format: Set timestamp format.

Keep all versions (do not delete old backups): Select if you want to keep all backups.

Keep only the last...versions: Choose the number of the latest backups to keep.

Keep versions for a period of..: Set time period for keeping your backups.

File-specific settings

Skip read only files: The program will ignore read only files and folders.

Skip hidden files: The program will ignore hidden files.

Skip system files: The program will ignore system files.

Open files exclusively: This option allows Handy Backup to open files in such way that another programs will not be able to open them when the backup operation is being performed. Files already opened by another programs will not be processed even if they are accessible for reading.

Press "Next" button to continue.


Compression and Encryption

At this step you set compression and encryption parameters.

Choose compression type: Select compression type.

  • No compression: All files will be backed up "as is", i.e., without compression.

  • ZIP compression (single file): Creates a single ZIP file with all your data. Note that the whole archive size should not exceed 2 GB.

    When you use compression into a single ZIP file and backup onto several CDs (i.e. when you use disc spanning), archive names will remain unique. For instance, if you specify "MUSIC.zip" for the archive name, Handy Backup will create files named "MUSIC(XXXX).zip" on different discs, where X is a hexadecimal digit and XXXX is span number for a disc.

  • ZIP compression (multiple files): Compresses every file to a separate ZIP archive. Note that the size of each individual compressed file should not exceed 2 GB.

Tip: Use compression into multiple files:

  • if you will need to restore only selected files (this is impossible in case of compression into single ZIP file);

  • if you need to perform incremental backup;

  • if you use option "Delete all files from destination except being backed up" (it can not be applied to the single ZIP mode).

Data protection: You can protect your data either with blowfish-encrypted method, or by creating password-protected ZIP archive.

Blowfish-encrypted method is a built-in highly secure 128-bit encryption algorithm. Follow the steps below to use blowfish-encrypted method.

  • Method: Select "Blowfish encryption".

  • Password: Type a password.

  • Confirm password: Re-enter your password to make sure that you typed it correctly.

Note: If you encrypt your files with blowfish method, you will be able to extract them only with Handy Backup.

Password-protected ZIP archive
To create a password-protected ZIP archive select ZIP compression type in "Choose compression type" group box.

  • Method: Select "Standard ZIP password".

  • Password: Type a password.

  • Confirm password: Re-enter your password to make sure that you typed it correctly.

If you create a password-protected ZIP archive, you will be able to extract data from this archive using any ZIP client as well as Handy Backup.

ZIP archive name: Here you can edit the default name for your ZIP archive (if you chose compression into a single ZIP file).

Note: Single ZIP archive name is not changed automatically after you have changed the item name.

Compression quality: Choose compression quality for your data. The higher compression quality is, the greater ratio will be achieved, however this will require more time.

Press "Next" button to continue.


Scheduling

At this step you set scheduling for Handy Backup operations.

Enable scheduler: Check to enable scheduling. If an item is not scheduled, you still can execute it manually at any convenient time. Select an item in the Items View and click the "Execute selected item(s)" button [image] on the program toolbar. Also, you can perform required operation either through the Actions menu or through the right-click menu in the Items View.

Note: The program will perform scheduled operations only when the Handy Backup agent is running. If there is a need to periodically switch off your computer, use "Run missed schedules" option.

Start: Define date and time when to start operation.

Repeat: Set a time period to repeat operation.

  • Every day: The program will perform operation with your item every day at the specified time.

  • On week days: Select one or several weekdays.

Monday - … - Sunday: Click the checkbox to set automatic operation on a selected day.

  • On month days: Select days of month.

1 - … - 31: Click the checkbox to set automatic operation on a selected day.

  • Custom period: Execute item at a regular interval.

Note: If you schedule the backup of current item onto CD, you can insert a disc to CDRW device beforehand at any convenient time, and the program will do all the rest for you automatically. You don't need to wait until the time specified for scheduled operation to insert a disc.

Run missed schedules: Use this option if you switch off your computer and can miss a scheduled backup. If this option is checked, the program will detect all missed (scheduled but not executed on time) items and execute them as soon as it can.

Run the item operation on logon: Check if you wish to run this item on logon.

Run the item operation on logoff: Check if you wish to run this item on logoff.

Press "Next" button to continue.


Ready To Create New Item

The last window of the New Item Wizard shows the basic parameters for the new item. You can change the most of these parameters later, by selecting the item in the Items View, pressing the "Item properties" button [image] and selecting the tab with properties you wish to modify.

Click "Finish" button to save properties of the created item. All files of the new item will be displayed in the Files View with "Unknown" status. To see their actual statuses, press the "Refresh" button [image] .


Restore Data

To restore data from a backup copy, you need to create a Restore item. Press the "New Item" button [image] on the program toolbar to initiate New Item Wizard. Choose name for the new item and select "Restore item" as its type.

You can also create a new Restore item by double-clicking an index file in the Windows Explorer. Open Windows Explorer, locate index file (it should have .hbi extension) and double-click on it. Handy Backup will start the New Item Wizard to create a new Restore item for the data specified in the index file.

Press "Next" button to continue.


Specify Index File

At this step you specify an index file from which to restore your data. Index files are stored in the same folder with backup copies.

To browse for folder with required backups and index file press either "Local/LAN/CD" or "FTP" radio button. To read more about browsing for folders on Local, LAN or FTP server, see Select Destination topic for Backup item.

There are two types of index files used in Handy Backup - backup.hbi and spanXXXX.hbi (in case you backed up your files on CD-RW), where XXXX is a hexadecimal number of span.

Connect using a different user account: If a shared folder on LAN can be accessed only using an account different from yours, then you can click "different user account" and in the displayed dialog enter another username and password.

Restore from CD

If you used disc spanning, to restore all data you should insert all your discs with backups into your CD device one-by-one.

Every disc from your span contains all necessary information about files on this disc, that is, the disc is sufficient for restoration of files kept on it. If a certain large file was fragmented and written on several discs, in order to perform restore of such file the program needs to scan all discs on which the file was written.

Press "Next" button to continue.


Select Restore Locations

At this step you can view or change the location where to restore your files and folders.

Restore Locations: Shows original location of your data.

Backup Locations: Shows backup location of your data.

To restore your data into its original location just press "Next" button. To change the location, double-click on it or press the "Edit..." button. "Select Restore Location" dialog will appear:

Backup Location: Shows backup location of your data.

Restore Location: Enables to change restore location of your data. Press the "Browse for folder" button [image] and select a folder where to restore.

Press "Next" button to continue.


Advanced Restore Settings

At this step you set a number of advanced restore settings.

Restore Type: Select restore type.

  • Full restore: The program will restore all files on every restore operation.

  • Incremental restore: The program will restore only changed files.

Delete all files from destination except backed up: Enables to delete all files in the folder to where you restore except those files that were backed up (and therefore were included in hbi file, according to which the current restore item was created).

Press "Next" button to continue.


Enter Password for Decryption

At this step the program will ask you to enter password to decrypt your data.

Enter your password: Type your password in the box.

Press "Next" button to continue.


Synchronize Data

To synchronize data from two folders, you need to create a Synchronize item. Press the "New Item" button [image] on the program toolbar to initiate New Item Wizard. Choose name for the new item and select "Synchronize item" as its type.

Press "Next" button to continue.


Select the First Folder

At this step you select the first folder to synchronize.

Select the first folder: To select a folder, click the "Browse for folder" button [image]. In the "Browse for folder" dialog you can either select existing folder or create a new one.

Press "Next" button to continue.


Select the Second Folder

At this step you select the second folder to synchronize with the first one.

Press either "Local/LAN" or "FTP" radio button, then browse for folder you want to synchronize. To read more about browsing for folders on Local, LAN or FTP server, see Select Destination topic.

Press "Next" button to continue.


Advanced Synchronization Settings

At this step you set a number of advanced synchronization settings.

Synchronization Type: Select synchronization type.

  • Copy from the first folder to the second: Check to copy files/folders from the first folder to the second.

  • Copy from the second folder to the first: Check to copy files/folders from the second folder to the first.

Delete files which are not in the source: Enables to delete all files in the destination folder except files copied from the source.

  • Mirror both folders: Makes contents of both folders identical.

For files with the same names: specify the program action on detecting files with the same names.

  • copy newer: the program will replace older files with newer ones;

  • copy older: the program will replace newer files with older ones;

  • copy smaller: the program will replace larger files with smaller ones;

  • copy larger: the program will replace smaller files with larger ones;

  • skip: the program will ignore files with the same names.

Press "Next" button to continue.


User Interface

The program Interface includes the following components:

  • Views

  • Toolbar

  • Program Menus

  • Context Menus

  • Hot Keys

  • Tray Icon

  • New Item Wizard

  • Item Properties

  • Command Line

  • Saving Configuration

  • Settings

The program enables integration into Windows shell so that you can perform Handy Backup operations through Windows Explorer.


Views

The main window of Handy Backup is divided into three panes (Views).

Items View (upper pane)

This view displays items, their statuses and types, and related information.

Item name column: Displays names of items.

Item type column: Shows item type: Backup, Restore or Synchronize.

Last run time column: Shows date and time when the last operation has been performed.

Next run time column: Shows date and time when the next operation will be performed.

Progress column: Shows the progress of current operation.

Status column: Shows operation status.

Storage column: Shows the type of storage where backed up files are placed. The storage can be either Local/LAN, or FTP, or CD-R/CD-RW. By default this column is not displayed.

Note: To activate/hide a column, right-click on the column header and mark/unmark column name on the popup menu.

Success: operation has been completed successfully;

Success: scheduled operation has been completed successfully;

Error: operation has been terminated with an error;

Error: scheduled operation has been terminated with an error;

Scheduled: the program is waiting to execute a scheduled operation;

Idle: the item is not scheduled and not running;

Running: the program is either performing an operation or refreshing;

Stopped: operation is stopped by user.

Files View (middle pane)

This view displays all files and folders in the selected item, their statuses and properties.

File name: Displays names and paths for files/folders in the selected item.

Status: Shows the current status of file/folder. Files with different statuses are shown with different colors. There can be the following file statuses:

Identical: Original files and their backup copies are identical, i.e. the file in the source folder is identical to the corresponding file in the destination folder.

Different: The file in the source folder is different from the corresponding file in the destination folder. This means that, after the last operation, either the file in the source folder or the file in the destination folder has been changed.

Missed in destination: The file exists in the source folder but does not exist in the destination folder.

Missed on local: There is no file in the source folder corresponding to the file in the destination folder. The possible reason is that the file has been removed from the source folder. To restore such file, use the restore operation. Select a file with a mouse pointer and press "Restore" button either from Actions menu or from the Files View context menu.

Excluded: File was excluded by user from the list of files to be processed and the program ignores it. For details on file exclusion, see Specify Backup Set.

You can perform inclusion/exclusion of files through Files View context menu. Right-click on the file and use Include files/Exclude files command from the menu.

Original Size: Shows size of file in the source folder.

Stored Size: Shows size of the corresponding file in the destination folder.

Original time: Shows the last time when file in the source folder has been modified.

Stored time: Shows the last time when file in the destination folder has been modified.

You can perform operations (backup, restore, synchronization) with selected files through Files View context menu.

All files in a new item are displayed in Files View with "Unknown" status. To see their actual statuses, press the "Refresh" button [image]. Also use this button to update the list of files in this view.

Log View (lower pane)

This view shows all events occurred during backup, restore and synchronization. The pane displays log messages related only to the selected item, for example:

STATUS:> Uploading...

STATUS:> Backing up file "D:\Program Files\NavNT\AMS2\Amslib.dl_"...

STATUS:> Copying to the temporary folder...

STATUS:> Encoding...

STATUS:> Uploading...

STATUS:> Saving index file...

Different colors denote different types of log messages as defined in Log Settings. If you wish you can customize fonts and colors for all kinds of log events with the help of the "Colors..." button [image] from the Context menu.


Toolbar

The program toolbar allows you to perform program operations with a number of buttons:

New Item: Starts "New Item Wizard" for creation of a new item.

Execute selected item(s): Performs operation according to the selected item type (backup, restore or synchronization).

Stop operating on selected item(s): Stops operation with the item. The button is active only when operation is being performed.

Item properties: Opens "Properties" dialog where you can view and modify properties of the selected item.

Refresh: Refreshes the Files View.

Delete selected item(s): Deletes selected item(s).

Settings: Opens "Settings" dialog where you can view and modify program settings.

Register now!: Registers your copy of Handy Backup. You should obtain a registration key to do this.


Program Menus

Program Menus allow managing your items, files and log messages with a number of options.

File Menu

New item..: Initiates New Item Wizard for creation of new items.

Duplicate: Enables to make an identical copy, or several copies of your item. Such copies will appear in the Items View, their names will contain words and symbols "Copy #.. of..", for example, "Copy #1 of My documents", "Copy #2 of My documents", etc.

Execute: Starts a specified operation (backup, restore or synchronization) for a selected item.

Stop: Stops specified operation for a selected item. The button is active only when the program is performing the operation (backup, restore or synchronization).

Delete: Deletes a selected item.

Properties: Opens the "Properties" window where you can view and modify properties of existing items.

Configuration: Allows to backup Handy Backup configuration.

Import..: Allows to import and restore Handy Backup configuration.

Export..: Allows to select configuration elements for export and specify location for exported configuration file.

Plugins..: Allows to register plugins or remove currently installed plugins. For details, see Plugins topic.

Exit: Enables exiting the program. When you exit, the program will still perform operations if your computer is on.

Edit Menu

Settings..: Allows viewing or modifying program settings.

View Menu

Toolbar: Shows the program toolbar when checked.

Status Bar: Shows status bar when checked.

Log Window: Shows a number of options for log window and log entries.

  • Hide log window: Hides log window.

  • Save Log..: Saves log entry to a selected destination.

  • Clear log: Removes all log entries from the log window.

Refresh: Enables to refresh the list of files and their properties.

Actions Menu

Backup: Enables to backup a selected item.

Restore: Enables to restore a selected item.

Synchronize: Enables to synchronize a selected item.

Help Menu

Tip of the Day..: Opens "Tip of the day" window.

Contents: Shows Handy Backup Help topics.

Handy Backup on the Web..: Takes you to Handy Backup site on the Web.

Request for support..: You can send your comments and suggestions or report your problems to Handy Backup technical support team.

How to purchase..: Takes you to the Handy Backup page containing info about purchasing and registration procedure.

Enter your serial number..: Use to register your copy of Handy Backup upon purchasing. For details, see Purchasing and Registration section.

About Handy Backup..: Provides information about a current version of Handy Backup.


Context Menus

There are three types of context menus in Handy Backup - one for each pane of the main program window.

Items View Context Menu

This context menu contains a number of options to work with your items.

New item..: Select to create a new item.

Duplicate: Use to create an identical copy or several copies of a given item. Such copies will appear in Items View, their names will contain words and symbols "Copy #.. of...". For example, for item named "My documents" you can create "Copy #1 of My documents", "Copy #2 of My documents", etc.

  • Backup: You can perform backup of a selected item.

  • Restore: You can perform restore of a selected item.

  • Synchronize: You can perform synchronization of a selected item.

Menu will display the number of icons corresponding to the number of possible operations - e.g., if you created only Backup items, you can backup and restore data, so menu will display backup and restore icons. If no items were created, no operation icons will be displayed.

If you try to restore a file from a backup copy and it appears that it is older than original one, you will receive the following warning message.

Click either "Yes" to restore the file from its old backup copy, or "No" to skip this file, or "Stop operation" to stop the restoring operation. If you mark "Apply to all" checkbox, then selected action will be applied to all files/folders in this item.

Refresh: Use to see the current state of your items and files/folders. Changes made to your items or files/folders will be displayed in corresponding program windows.

Execute: Initiates operations with your item (backup, restore or synchronization).

Stop: Stops current operation with item (backup, restore or synchronization).

Delete: Deletes a selected item.

Properties: Allows viewing or changing properties of a selected item.

Files View Context Menu

This context menu enables you to operate with files/folders included in your item.

Include Files: Enables to include files previously excluded from the given item.

Exclude Files: Enables to exclude files previously included in the given item.

Backup/Restore/Synchronize: You can perform required operations (backup, restore, synchronization) with selected files through Files View context menu. In the Items View , locate with mouse pointer an item with required files, and then in the Files View locate these files and right-click on them with the mouse. On the Files View context menu select required operation.

Restore to..: Enables to restore selected file/folder to a location different from the source location. In the displayed "Browse For Folder" dialog select the necessary location.

Note: If you have restored a file/folder to another location, its status will not be changed.

Settings..: Enables to customize font colors denoting different statuses of files.

Log View Context Menu

This context menu enables you to manage log messages and customize their colors.

Copy: Enables to copy the contents of a log window.

Save Log..: Enables to save a log entry to a selected destination.

Clear log: Use to remove all log messages from the Log View.

Colors: Enables to customize font colors for different log messages.


Hot Keys

Handy Backup allows using the following hot keys instead of toolbar buttons:

New Item: Ctrl+N

Execute selected item(s): Ctrl+F5

Stop operating on selected item(s): Esc

Item properties: Alt+Enter

Refresh: F5

Delete selected item(s): Del

Settings: Alt+F7

Exit: Alt+F4

All hot keys are displayed on program menus.


Tray Icon

When Handy Backup is running, Handy Backup icon [image] (the agent) appears in the system tray. Handy Backup agent requires few system resources, yet:

  • indicates that Handy Backup is running;

  • enables the program scheduler to work;

  • enables to open the program window by double-clicking the agent;

  • allows using some agent menu options.

Agent Menu

Agent menu is available on right-clicking the agent. All menu options are performed with user's left-click.

  • Open Handy Backup: Enables to open the program window when it is minimized.

  • Execute All Items: Upon clicking this option, the program executes all items simultaneously. Note that this option cannot be used when backing up on a CD, as in this case only the item that has managed to lock the CD first will be backed up.

  • Exit: Enables to exit the program (the program will be terminated and the agent will disappear from the system tray).

Working Statuses

When Handy Backup window is closed, the agent indicates the following working statuses of the program:

- the program is executing one or several items;

- one or several operations have finished with an error.


Windows Explorer Integration

Integration into Windows shell allows you to perform Handy Backup operations from Windows Explorer.

Backup and Restore of Selected Files or Folders

Open Windows Explorer; select files or folders to operate with (if you want to restore you need to select required index file), right-click to get a menu, then left-click on Handy Backup command "Backup with Handy Backup" or "Restore Handy Backup Item". The command starts Handy Backup New Item Wizard; you only need to follow its detailed instructions.

Note that you can perform operations with several files and folders at a time.

Create New Backup Item

You can create a new Backup item using Windows Explorer window. Select files and folders that you want to add to the new item and drag them with the mouse to the Items View. Drop files to an empty space in this window to start the New Item Wizard that will help you to specify other parameters for your item.

Create New Restore Item

Open Windows Explorer; l ocate an index file (it has .hbi extension) and double-click on it. Handy Backup will start the New Item Wizard to create a new Restore item using the specified index file.

Add Files or Folders to Existing Item

If you drag and drop files or folders to an existing item in the Items View, these files or folders will be added to the item.


New Item Wizard

New Item Wizard is intended for creation of new Handy Backup items. This procedure takes very little time, just click the "New Item" button [image] and follow detailed instructions of the Wizard.

New Item Wizard divides the whole procedure of item creation into a number of successive steps. Each step of the Wizard enables you to set certain parameters for your data. For example, if you want to backup your data, at the first step you can choose the name for the whole data set and operation type (backup), at the second step you can define backup set (select files/folders to backup), at the third step you can choose location where to backup selected files/folders, etc.

The first step of the Wizard is identical for all item types. After you enter a name for your item and select its type, press the "Next" button. Depending on chosen type, the New item Wizard will start creating either Backup item, Restore item, or Synchronize item.


Item Properties

You can view and modify properties of your item any time you wish. Select an item and press the "Item properties" button [image] . The "Properties" dialog will appear. Note that the program will display different properties sets for different item types (Backup item, Restore item, Synchronize item).

Backup item properties

  • Name: Edit item name in the corresponding edit box.

  • Backup Set: Use to modify backup set (files and folders to be backed up). For details, see Specify Backup Set.

  • Storage: Use to redefine a location where to backup your data or to change proxy settings. For details, see Select Destination.

  • Advanced: Use to define advanced operations with your files/folders. For details, see Advanced Backup Settings.

  • Operation: Use to change compression and encryption parameters. For details, see Compression and Encryption.

  • Scheduling: Use to select another schedule type. For details, see Scheduling.

  • Actions: This section enables you to run any program before/after operation with your item. For example, you can run an antiviral program before backing up your data.

Run program before running item: Enables running the specified program before running this item.

Wait for program before proceeding: If you set this option, Handy Backup will wait until the program finishes before proceeding operation with your item.

Run program after running item: Enables running the specified program after running this item.

Wait for program before finishing: If you set this option, Handy Backup will wait until the program finishes before completing operation with your item.

Send e-mail notifications: To enable this option, you need to set up e-mail notification settings on the E-mail Notifications tab of program Settings.

When the operation finishes: Enables e-mail notification upon finishing operation with the item.

When the operation finishes with an error: Enables e-mail notification only upon finishing operation with the item with an error.

Restore item properties

  • Name: Use to modify item name.

  • Storage: Use to see the location of the index file from which your data is restored.

  • Backup Set: Use to edit restore locations. For details, see Select Restore Locations.

  • Advanced: Use to set advanced operations with your files/folders. For details, see Advanced Restore Settings.

  • Password: Use to edit your password. For details, see Enter Password for Decryption.

  • Scheduling: Use to select another schedule type. For details, see Scheduling.

  • Actions: Similar to "Actions" tab in "Backup item properties" (see above).

Synchronize item properties

  • Name: Use to modify item name.

  • First Folder: Use to re-select the first folder. For details, see Select the First Folder.

  • Second Folder: Use to re-select the second folder. For details, see Select the Second Folder.

  • Advanced: Use to define advanced operations with your files/folders. For details, see Advanced Synchronizing Settings.

  • Scheduling: Use to select another schedule type. For details, see Scheduling.

  • Actions: Similar to "Actions" tab in "Backup item properties" (see above).


Command Line

Handy Backup allows performing a number of its operations using a command line. In this way you can perform Handy Backup commands without opening the program window, either with any appropriate program (like "Far manager", for instance), through created shortcut to Handy Backup agent or through "Run" option from Windows "Start" menu.

Handy Backup command line syntax (keys and corresponding Handy Backup actions) is displayed in the following command line Help window:

You can use either the full key or its contracted form provided in round brackets (e.g., either "-Delete" or "-d" for deleting items).

-help (-?): shows Help window;

-Delete (-d) <items>: deletes specified items;

-DeleteAll (-da): deletes all items;

-Stop (-s) <items>: stops operations with specified items;

-StopAll (-sa): stops operations with all items;

-Execute (-e) <items>: executes operations with specified items;

-ExecuteAll (-ea): execute operations with all items.

Note that the option ExecuteAll cannot be used when backing up on a CD. Also you cannot backup several items at once when backing up on a CD, as in this case only the item that has managed to lock the CD first will be backed up.

Below there are some examples of command line usage.

  • For example, during your workday you need to periodically backup item named "Backup_work_files". Create the shortcut on your desktop to the location of Handy Backup file hbagent.exe. Right-click on the shortcut icon to get the menu, select "Properties" option, choose "Shortcut" tab and in the "Target" box type the required command and specify item name ( -e "Backup_work_files"). Press "OK" and close the dialog. Then, every time you need to perform backup of the item, just double-click the shortcut icon.

  • Also, you can perform required operations through "Run" option from Windows "Start" menu. Specify location of Handy Backup file hbagent.exe, then type required command and press "OK".


Saving Configuration

Handy Backup allows you to save the program settings, items and registration status to a special file (with extension .hbc).

Save configuration

To save the current configuration, choose "Configuration" on the File menu and select "Export...".

Select configuration elements to be exported. Choose a file to save them to (for example, configuration.hbc) and specify its path. You can encrypt the configuration file. Check the corresponding option and type your password.

Restore Configuration

To restore configuration, choose "Configuration" option on the File menu and select "Import...".

Specify the configuration file. If it is encrypted, enter the password. Press "Import" button. Now you can select configuration elements to be restored.

If you import an item and another item with the same name already exists on your machine, you will receive the following dialog.

Select either "Skip" to skip this item, or "Skip all" to skip all such items, or enter a different name for this item and click "OK", or click "Cancel" to cancel the import of remaining items.


Settings

There are a number of settings defining the way Handy Backup operates. You can modify them any time you wish. Click the "Settings" button [image] on the program toolbar and Settings window will appear. Choose settings type you wish to modify.

There are the following setting types in Handy Backup:

  • General Settings,
  • Advanced Settings,
  • Transfer Settings,
  • E-mail Notifications,
  • Log Settings,
  • File View Settings,
  • Prompts.


General Settings

Here you can view and modify general program settings.

Launch agent on Windows Startup: Launches Handy Backup agent on Windows startup.

Show splash screen on program startup: Shows Handy Backup splash screen on program startup.

Enable Windows Explorer integration: Enables Windows Shell Integration by adding Handy Backup commands to the standard Windows context menu.


Advanced Settings

Here you can view and modify advanced program settings.

Wait N minute(s) after startup before running items: Makes the program wait N minutes after Windows startup before it starts operations with the items which are scheduled to be executed on logon (for such items the option "Run the item operation on logon" is enabled on Scheduling tab of item properties). The option to wait N minutes after startup is useful if you have many other tasks performed on Windows startup and you don't want your system to "freeze" because of too extensive CPU load.

Operation thread priority: Enables to set the priority of operation thread, which performs backup, restore or synchronization. This parameter is used to control consumption of resources: the lower is the priority, the less resources are consumed, but the operation can take more time. You can change thread priority dynamically. When you click the "Apply" button during operation execution the priority is immediately updated for all working threads that are performing the operation.

Temporary folder: Enables to specify on which drive the TEMP directory will be located. Handy Backup creates temporary files in case of compression, encryption and backup onto CD-R/W discs. If there is not enough free space in TEMP folder where such files are kept, Handy Backup operations may fail. So in this case, you can select another location for Handy Backup TEMP files.

Use Windows TEMP folder: If this option is checked, the program will place its temporary files to the standard Windows TEMP folder (folder path will be displayed in the box below). Otherwise, you can select another location for temporary files. Uncheck the option, click "Browse for temporary folder" button [image] and select a new temporary folder.


Transfer Settings

This tab enables you to customize the following transfer settings.

Network operatin g timeout: Time of waiting for response from a server. If this time is exceeded, Handy Backup will try to reconnect.

Delay before reconnecting: Specify amount of time before the program reconnects.

Retries on network errors: Maximum number of transfer retries. If an error occurs during a transfer, Handy Backup will try to transfer files again for this number of times.

Retry until operation is succeeded: Handy Backup will retry transfer until your data is transferred successfully.


E-mail Notifications

Here you can set the program to notify you on finishing operations with your items.

Use e-mail notifications: Check this box if you want to use e-mail notifications for any of your items.

SMTP server: Enter the name of SMTP server.

Port: Enter the server port. Its default value is 25.

Authenticate on SMTP server: Enables to authenticate on SMTP server that requires authorization. Enter your account credentials: Account and Password.

From: Specify here the address on behalf of which notifications will be sent. Note that the address should be supported by the specified SMTP server.

To: Enter e-mail address of the notifications receiver. You can enter several e-mail addresses separated by commas.

Subject: Here you can edit message subject.

Body: Press "Edit Message Body..." button if you want to edit the default message body. "Notification Message Body" dialog will appear.

Send Test Message..: Click this button to test your e-mail settings. Handy Backup will send a test message using the settings you have specified.

Upon defining all settings you need to go to "Actions" tab in Item Properties window in order to set notification type for each item. Click "OK" and close program settings window, select an item in Items View, press "Item properties" button [image] and go to "Actions" tab.


Log Settings

This tab allows you to view and modify the following log settings.

Log view detalization: Enables to select the level of detalization in the log view. You can choose from the following levels.

  • Low: only error messages and result of operation execution are displayed in the log view;
  • Middle: in addition warning messages are displayed in the log view;
  • High: in addition information about changed files is displayed in the log view;
  • Full: all messages are displayed in the log view.

Note that adjustment of these levels is applied only to log view. Log file contains all messages.

Limit log size to ... KB: When log file exceeds the specified size, the Log View will be cleared and log messages will be displayed from the beginning. The recommended default value is 100 kilobytes.

T he large size of log file (exceeding 100 kilobytes) can cause problems in program operation. The program may freeze up unexpectedly, not allowing you to change your backup settings or set new scheduling settings, though Handy Backup agent is still running. In this case, we advise to delete "logs" in "<Your System Disk>\Documents and Settings\<Your Login Name>\Application Data\Novosoft\Handy Backup", to check "Limit log size to 100 kilobytes" option and then run Handy Backup again.

Add to zip archive: Enables to add logs to archive. Otherwise they will be deleted.

If you select to add logs to zip archive, this archive will be saved to "<Your System Disk>\Documents and Settings\<Your Login Name>\Application Data\Novosoft\Handy Backup\logs" folder.

Log events colors: You can see and customize default colors of log events.

  • Status message color - the color of program status messages.

  • Warning message color - the color of program warnings messages.

  • Failure message color - the color of program failures messages

    • .

  • FTP message color - the color of FTP messages.

Choose font...: Allows choosing font of log messages and its size.


File View Settings

Here you can set File View settings.

Refresh File View automatically: Check to refresh the File View automatically. Information about files in the Files View will be updated when you select the corresponding item in the Items View.

Only for Local/LAN destinations: Check if you want to set the "Refresh File View automatically" option only for items with Local/LAN destination.

File colors:

  • Identical files: color used for files identical in the source and the destination location;

  • Different files: color used for files different in the source and the destination location;

  • Missing file in the original location: color used for files existing only in the destination;

  • Missing file in the destination location: color used for files existing only in the source;

  • Excluded files: color used for files excluded from processing.

Show grid: Displays the grid in the Files View.

For more detailed description of files statuses, see Files View section.


Prompts

This tab allows you to enable prompts on selected program actions.

Prompt on stopping item operation: Enables prompt on stopping operation with an item.

Prompt on deleting an item: Enables prompt before deleting an item.


Plugins

Handy Backup functionality can be extended with plugins that will help you backup specific data automatically. Currently special plugins are provided to work with ICQ, Microsoft Outlook and Registry data.

Installation and registration

Plugins should be installed separately to a system where you previously installed Handy Backup. You can download trial versions of all available plugins from Handy Backup web site http://www.handybackup.com/download.shtml. Installation procedure is very simple, just run the installation program and it will automatically find Handy Backup on your system and add the plugin to it.

To manage currently installed plugins choose "Plugins..." command on the File menu. The program will display the following dialog.

To register a plugin: Enter the registration key in the corresponding box and press "Register" button. Repeat this operation for each plugin. To obtain a registration key you should buy corresponding plugin. You can do it from the following web page: http://www.handybackup.com/order.shtml.

To remove a plugin: Highlight a plugin and use the "Remove" button.


ICQ Plugin

ICQ plugin allows you to backup your important ICQ files. When you install it on your system it adds corresponding command to the menu in the New Item Wizard as shown below.

Now when you choose "ICQ Files" all ICQ files will be added to the backup item and displayed in the upper window of the Wizard.


Outlook Plugins

Outlook Plugin

Outlook plugin allows you to backup your important MS Outlook and MS Outlook Express files. When you install it on your system it adds corresponding commands to the menu in the New Item Wizard as shown below.

Microsoft Outlook files:

Create a new Backup item. At "Specify Backup Set" step of the New Item Wizard click "Add" button and select "Microsoft Outlook Files". All needed files will be added to the upper window.

Microsoft Outlook Express files:

Create a new Backup item. At "Specify Backup Set" step of the New Item Wizard click "Add" button and select "Outlook Express Files". All needed files will be added to the upper window.


Registry Plugin

Registry plugin allows you to backup your registry data. When you install it on your system it adds corresponding commands to the menu in the New Item Wizard as shown below.

Choose the "Registry" option on the menu. Select registry keys you want to backup in the "Browse for registry key" window. All selected files will be added to the backup item and displayed in the upper box of the Wizard.


License and Registration

Licensing

Handy Backup is copyrighted and licensed software, so please read carefully Handy Backup License Agreement.

Purchasing and Registration

If you decided to buy Handy Backup, see Purchasing and Registration section.

Contact Information

If you are seeking for opportunity to establish mutually profitable business relations with our company, or wish to send us your comments or questions, don't hesitate to contact us! For contact details, see Contact Information section.


Purchasing and Registration

Purchasing method

You can buy Handy Backup online by filling out the online purchase form.

Registration

Upon completion of purchasing procedure, a unique serial number will be sent to you by e-mail. The number is required to register the program using one of the following procedures:

  • online registration;

  • registration by e-mail.

If you forgot or lost your serial number, please send us your order ID and specify your name, company name and e-mail address you used to buy your copy of Handy Backup. Upon receipt of this information, we will send to you your serial number.

Online registration

On the Help menu choose "Enter your serial number..." or click the registration button [image] on the program toolbar. Registration window will appear. Enter your serial number in the edit box and click the "Register" button.

Upon successful completion of registration procedure you will receive the program notification informing you that you have successfully registered your version of Handy Backup. Just click OK.

Registration by e-mail

If the above procedure is unsuccessful due to network connection problems, use the "Register by e-mail..." option. Click Help menu on the program toolbar and select "Enter your serial number...". Enter your serial number and click "Register by e-mail..." button. The program will generate a message with all necessary registration information and open it in your default e-mail client. You will only need to send this message to support@handybackup.com.

If you do not have a default e-mail client, the program will show the "E-mail registration" dialogue window. Just copy the information from the window (either with "Copy to clipboard" button or manually), save it into a file and send the file to support@handybackup.com.

Upon receipt, we will send you the special registration zip file. To complete the registration, you will need to open the file on the machine where your copy of Handy Backup is installed (on the same machine where your registration info message was generated), i.e. you need to save the file to your hard disk, unzip it and run the file "Handy Backup.reg".

Checking the registration

To check the registration status, click on the "About Handy Backup..." on the Help menu. If the registration was successful, you will see the words "Registered version" at the bottom of the dialog box.

If you experience any problems during the registration process, please send a letter to support@handybackup.com. We will be happy to assist you with the registration.


Handy Backup License Agreement

NOVOSOFT INC. HANDY BACKUP END USER LICENSE AGREEMENT

IMPORTANT: THIS SOFTWARE END USER LICENSE AGREEMENT ("EULA") IS A LEGAL AGREEMENT BETWEEN YOU AND NOVOSOFT INC. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. READ IT CAREFULLY BEFORE COMPLETING THE INSTALLATION PROCESS AND USING THE SOFTWARE. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE PRODUCT, YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA.

1. LICENSE GRANT. Novosoft Inc. grants you a license to use one copy of the version of this SOFTWARE on a single computer. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE programming features. This license is not transferable to any other system, or to another organization or individual.

2. TRIAL and REGISTRATION. You are granted the right to use the SOFTWARE without registration solely for the purposes of evaluating the performance of the SOFTWARE for a period of no more than 30 days. If after that time continued use of the SOFTWARE is desired then the SOFTWARE must be registered with Novosoft Inc. subject to the terms as laid out in the registration information which can be found in the documentation accompanying the SOFTWARE. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction.

3. OWNERSHIP. The SOFTWARE is owned and copyrighted by Novosoft Inc. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

4. COPYRIGHT. The SOFTWARE and all rights, without limitation including proprietary rights therein, are owned by Novosoft Inc. or its suppliers and are protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Novosoft Inc. and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

5. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

6. NO OTHER WARRANTIES. THE SOFTWARE PRODUCT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. NOVOSOFT INC. DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

7. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

8. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL NOVOSOFT INC. OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF NOVOSOFT INC. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL NOVOSOFT INC. LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

9. GOVERNING LAW. This agreement is governed by the laws of the State of Texas. If for any provision or portion thereof of the License agreement is found to be unenforceable by a court of competent jurisdiction, that provision shall be enforced in such manner as to effect the intention of the parties hereof, and the remainder of the License agreement shall continue in full force and effect.

10. GENERAL PROVISION. This is the entire agreement between you and Novosoft Inc., which supersedes any prior agreement or understanding, whether written, or oral, relating to the subject matter of this license. If any part of this agreement is found void and unenforceable, it will not affect the validity of the balance of the agreement, which shall remain valid and enforceable according to its terms. This agreement shall automatically terminate upon failure by you to comply with its terms. Novosoft Inc., on its sole discretion, may modify this agreement in writing at any time.


Contact Information

A ny person or a company interested in cooperation with us is welcome to contact us and discuss mutually profitable business relations.

Address: Acad. Lavrentjev pr. 6, 201 Novosibirsk 630090, Russia
 Phone: +7 (3832) 30-61-49
Time zone: GMT +6, EST +11.

E-mail: support@handybackup.com